<template>
  <div :class="colorPrice">
    {{ item.currentRateNoNDS }}
  </div>
</template>

<script>
import transformer from './../../../transformer';

export default {
  mixins: [transformer],
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    colorPrice() {
      if (this.item.type === 'auction' && this.item.status === 'ACTIVE') {
        switch (this.item.currentState) {
          case 'WIN':
            return 'account-list__green';
          case 'LOSING':
            return 'account-list__red';
          case 'NO_BIDS':
            return 'account-list__light-grey';
          default:
            return 'account-list__price'
        }
      } else if (this.item.type === 'booking' && this.item.currentState === 'NO_BIDS') {
        return 'account-list__light-grey';
      } else {
        return 'account-list__price'
      }
    },
  }
}
</script>
